package com.xinelu.manage.vo.agencycategory;

import com.xinelu.manage.domain.agencycategory.AgencyCategory;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * 机构类型树图信息对象vo agency
 *
 * @author zh
 * @date 2024-02-27
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AgencyCategoryVO extends AgencyCategory {

    private Long value;

    private List<AgencyCategoryVO> children = new ArrayList<AgencyCategoryVO>();

    public List<AgencyCategoryVO> getChildren() {
        return children;
    }

    public void setChildren(List<AgencyCategoryVO> children) {
        this.children = children;
    }
}
